/*
 * File:   delays.c
 * Author: sprut
 *
 * Created on 3. Mrz 2020
 * 
 * alles was mit warteschleifen zu tun hat
 * 
 */


#include "signalgen.h"
#include "mytypes.h"
#include "delays.h"


//*****************************************************************************************************************
// code
//*****************************************************************************************************************

// verzgerungen in us
void SleepUs(unsigned int us)
{
	byte teilzeit;
	teilzeit = us & 0x00FF;
    if (teilzeit>0)
	{
		for (unsigned int count=0; count<teilzeit; count++) __delay_us(1);
	}
    teilzeit = us >> 8;			// 1/256
    if (teilzeit>0)
	{
        for (unsigned int count=0; count<teilzeit; count++) __delay_us(16);
    }    
} //SleepUs



// verzgerungen in ms
void SleepMs(unsigned int ms)
{
    for (unsigned int count=0; count<ms; count++) __delay_ms(1);
} //SleepMs


//*****************************************************************************************************************